#does not build with auto-br-rpmbuild

# enable_gtkdoc: Toggle if gtk-doc files should be rebuilt.
#      0 = no
#      1 = yes
%define enable_gtkdoc 1

# enable_bootstrap: Toggle if bootstrapping package
#      0 = no
#      1 = yes
%define enable_bootstrap 0

%{?_without_gtkdoc: %{expand: %%define enable_gtkdoc 0}}
%{?_without_bootstrap: %{expand: %%define enable_bootstrap 0}}

%{?_with_gtkdoc: %{expand: %%define enable_gtkdoc 1}}
%{?_with_bootstrap: %{expand: %%define enable_bootstrap 1}}


# required version of various libraries
%define req_glib_version		2.32.0
%define req_pango_version	1.20.0
%define req_atk_version		1.29.2
%define req_cairo_version		1.6.0
%define req_gdk_pixbuf_version	 2.26.0

%define pkgname			gtk+
%define api_version		2.0
%define binary_version	2.10
%define lib_major		0
%define libname			%mklibname %{pkgname} %{api_version} %{lib_major}
%define libname_x11		%mklibname %{pkgname}-x11- %{api_version} %{lib_major}
%define develname		%mklibname -d %pkgname %api_version %{lib_major}

%define gail_major 18
%define gail_libname %mklibname gail %gail_major
%define gaildevelname %mklibname -d gail

Summary:	The GIMP ToolKit (GTK+), a library for creating GUIs
Summary(de):	The GIMP Toolkit (GTK+), Bibliothek zum Erstellen von GUIs 
Name:		%{pkgname}%{api_version}
Version:	2.24.32
Release: %mkrel 1
License:	LGPLv2+
Group:	System/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%pkgname/%{pkgname}-%{version}.tar.xz
Patch4: gtk+-2.13.1-extra_im.patch 
Patch5: gtk+-2.6.9-fileselectorfallback.patch
Patch13: gtk+-2.2.4-lib64.patch
Patch20: gtk+-2.24.7-window-dragging.patch
Patch21: gtk+-2.20.0-icon-padding.patch
Patch22: gtk+-2.24.9-link-gmodule.patch
Patch23: gtk+-2.24.25-fallback-to-Adwaita-icon-theme.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
URL:	http://www.gtk.org
Requires:	common-licenses
BuildRequires: gettext-devel
BuildRequires: libglib2-devel 
BuildRequires: libatk1.0-devel
BuildRequires: cairo-devel
BuildRequires: pango-devel 
BuildRequires: gobject-introspection-devel
BuildRequires: libgdk_pixbuf2.0-devel
BuildRequires: libx11-devel
BuildRequires: libxext-devel
BuildRequires: libxrender-devel
BuildRequires: libxcomposite-devel
BuildRequires: libxcursor-devel
BuildRequires: libxdamage-devel
BuildRequires: libxfixes-devel
BuildRequires: libxi-devel
BuildRequires: libxinerama-devel
BuildRequires: libxrandr-devel
BuildRequires: cups-devel
BuildRequires: fam-devel
%if %enable_gtkdoc
BuildRequires: gtk-doc >= 0.9 
BuildRequires: sgml-tools
BuildRequires: texinfo
%endif
BuildRequires: fonts-ttf-dejavu
Requires: %{libname} = %{version}
Provides:	%{pkgname}2 = %{version}-%{release}
Obsoletes:	%{pkgname}2
Provides:	gail = %version-%release
Obsoletes:	gail

%description
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating
graphical user interfaces for the X Window System.  GTK+ was originally
written for the GIMP (GNU Image Manipulation Program) image processing
program, but is now used by several other programs as well.  

If you are planning on using the GIMP or another program that uses GTK+,
you'll need to have the gtk+ package installed.
#german
%description -l de
Das Paket gtk + enthält das GIMP Toolkit (GTK +), eine Bibliothek zur 
Erstellung vongrafische Benutzeroberflächen für das X Window System. 
GTK + wurde ursprünglichgeschrieben für das GIMP (GNU Image Manipulation 
Program) Bildverarbeitung Programm, es sind aber inzwischen auch andere 
Programme erstellt worden.

%package -n %{libname}
Summary: 	%{summary}
Summary(de): 	%{summary}	
Group:	 	System/Libraries
Obsoletes:	lib%{pkgname}2
Provides:	lib%{pkgname}2 = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Provides:   	gtk2 = %{version}-%{release}
Requires:   	libglib2.0 >= %{req_glib_version}
Requires:   	libpango1.0 >= %{req_pango_version}
Requires(post): %{libname_x11} = %{version}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with gtk+.
#german
%description -n %{libname} -l de
Benötigte Bibliothek, die es erlaubt Programme auszuführen, die dynamisch
mit GTK+ verknüpft sind. 

%package -n %{develname}
Summary:	Development files for GTK+ (GIMP ToolKit) applications
Summary(de):	Entwicklerdateien für GTK+ Anwendungen
Group:		Development/Libraries
Obsoletes:  	%{libname_x11}-devel
Provides:   	%{libname_x11}-devel = %{version}-%{release}
Provides:   	gtk2-devel = %{version}-%{release}
Obsoletes:	%{pkgname}2-devel
Obsoletes:  	lib%{pkgname}2-devel
Obsoletes:  	%mklibname -d %{pkgname} 2.0 0
Provides:	%{pkgname}2-devel = %{version}-%{release}
Provides:	lib%{pkgname}2-devel = %{version}-%{release}
Provides:	lib%{pkgname}%{api_version}-devel = %{version}-%{release}
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	lib%{pkgname}-x11-%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	%{libname_x11} = %{version}
Requires:	libgdk_pixbuf2.0-devel >= %req_gdk_pixbuf_version
Requires:	libatk1.0-devel >= %{req_atk_version}
Requires:	libpango1.0-devel >= %{req_pango_version}


%description -n %{develname}
The libgtk+-devel package contains the static libraries and header files
needed for developing GTK+ (GIMP ToolKit) applications. The libgtk+-devel
package contains GDK (the General Drawing Kit, which simplifies the interface
for writing GTK+ widgets and using GTK+ widgets in applications), and GTK+
(the widget set).
#german
%description -n %{develname} -l de
Statische Bibliotheken und Headerdateien zum erstellen von Anwendungen
basierend auf der GTK+ Bibliothek.


%package -n %{libname_x11}
Summary:	X11 backend of The GIMP ToolKit (GTK+)
Summary(de):	X11 Backend zu The GIMP Toolkit (GTK+)
Group:		System/Libraries
Provides:	lib%{pkgname}-x11-%{api_version} = %{version}-%{release}
Provides:	%{name}-backend = %{version}-%{release}
Requires: 	%{libname} = %{version}
Requires:	libatk1.0 >= %{req_atk_version}
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname_x11}
This package contains the X11 version of library needed to run
programs dynamically linked with gtk+.
#german
%description -n %{libname_x11} -l de
Die X11 Version Bibliothek, wird benötigt zum ausführen von 
Programme dynamisch verknüpft mit GTK+.

%package -n %{gail_libname}
Summary:	GNOME Accessibility Implementation Library
Group:		System/Libraries
Provides:	libgail = %{version}-%{release}

%description -n %{gail_libname}
Gail is the GNOME Accessibility Implementation Library
#german
%description -n %{gail_libname} -l de
Gail ist die GNOME Zugänglichkeit Implementation Bibliothek.

%package -n %gaildevelname
Summary:	Static libraries, include files for GAIL
Summary(de):	Statische Bibliotheken, Include Dateien für Gail 
Group:		Development/Libraries
Provides:	gail-devel = %{version}-%{release}
Provides:	libgail-devel = %{version}-%{release}
Requires:	%{gail_libname} = %{version}
Obsoletes: 	%mklibname -d gail 18

%description -n %gaildevelname
Gail is the GNOME Accessibility Implementation Library
%{summary}.
#german
%description -n %gaildevelname -l de
Gail ist die GNOME Zugänglichkeit Implementation Bibliothek.
%{summary}.

%prep
%setup -n %{pkgname}-%{version} -q
%apply_patches

%if %{enable_bootstrap}
%patch13 -p1 -R
%endif

%build
# generate build scripts with our autotools
mkdir -p m4
autoreconf -fi

# fix crash in nautilus (GNOME bug #596977)
export CFLAGS=`echo $RPM_OPT_FLAGS | sed -e 's/-fomit-frame-pointer//g'`

#CONFIGURE_TOP=.. 
export CPPFLAGS="-DGTK_COMPILATION"
#	--with-included-immodules=yes \
%configure2_5x --enable-xinerama \
	--with-xinput=xfree \
%if !%enable_gtkdoc
	--enable-gtk-doc=no
%endif

%make


%install
rm -rf $RPM_BUILD_ROOT

#cd X11-build
%makeinstall_std mandir=%{_mandir} RUN_QUERY_IMMODULES_TEST=false RUN_QUERY_LOADER_TEST=false


#cd ..

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gtk-%{api_version}
touch $RPM_BUILD_ROOT%{_sysconfdir}/gtk-%{api_version}/gtk.immodules.%{_lib}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/modules

# Handle biarch packages
progs="gtk-query-immodules-%{api_version}"
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/bin
for prog in $progs; do
  mv -f $RPM_BUILD_ROOT%{_bindir}/$prog $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/bin/
  cat >$RPM_BUILD_ROOT%{_bindir}/$prog <<EOF
#!/bin/sh
EC64=0
if [ -x %{_prefix}/lib64/gtk-%{api_version}/bin/$prog ]; then
  %{_prefix}/lib64/gtk-%{api_version}/bin/$prog "\$@"
  EC64=\$?
fi
EC32=0
if [ -x %{_prefix}/lib/gtk-%{api_version}bin/$prog ]; then
  %{_prefix}/lib/gtk-%{api_version}bin/$prog "\$@"
  EC32=\$?
fi
if [ "\$EC64" = "0" ]; then
  exit \$EC32
fi
exit \$EC64
EOF
  chmod 0755 $RPM_BUILD_ROOT%{_bindir}/$prog
done

%{find_lang} gtk20
%find_lang gtk20-properties
cat gtk20-properties.lang >> gtk20.lang

#remove not packaged files
find %{buildroot} -name '*.la' -delete
mv %{buildroot}/%{_bindir}/gtk-update-icon-cache %{buildroot}/%{_bindir}/gtk%{api_version}-update-icon-cache



%clean
rm -rf $RPM_BUILD_ROOT


%post -n %{libname}
%{_libdir}/gtk-%{api_version}/bin/gtk-query-immodules-%{api_version} > %{_sysconfdir}/gtk-%{api_version}/gtk.immodules.%{_lib}

%triggerin -n %{libname} -- %{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules/*.so
%{_libdir}/gtk-%{api_version}/bin/gtk-query-immodules-%{api_version} > %{_sysconfdir}/gtk-%{api_version}/gtk.immodules.%{_lib}

%triggerpostun -n %{libname} -- %{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules/*.so
%{_libdir}/gtk-%{api_version}/bin/gtk-query-immodules-%{api_version} > %{_sysconfdir}/gtk-%{api_version}/gtk.immodules.%{_lib}

%post 
if [ -d %{_datadir}/icons ]; then
 for i in `/bin/ls %{_datadir}/icons` ; do
  [ -d "%{_datadir}/icons/$i" -a -e "%{_datadir}/icons/$i/icon-theme.cache" -a -e "%{_datadir}/icons/$i/index.theme" ] && gtk%{api_version}-update-icon-cache --force --quiet %{_datadir}/icons/$i
 done
 exit 0
fi

%posttrans
%{_libdir}/gtk-%{api_version}/bin/gtk-query-immodules-%{api_version} --update-cache
%{_bindir}/gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules


%files -f gtk20.lang
%defattr(-, root, root)
%doc README
%{_bindir}/gtk-query-immodules-%{api_version}
%{_bindir}/gtk%{api_version}-update-icon-cache
%{_datadir}/themes
%dir %{_sysconfdir}/gtk-%{api_version}
%config(noreplace) %{_sysconfdir}/gtk-%{api_version}/im-multipress.conf

%{_datadir}/gtk-doc/html

%files -n %{libname}
%defattr(-, root, root)
%doc README
%ghost %verify (not md5 mtime size) %config(noreplace) %{_sysconfdir}/gtk-%{api_version}/gtk.immodules.%{_lib}
%dir %{_libdir}/gtk-%{api_version}
%dir %{_libdir}/gtk-%{api_version}/bin
%{_libdir}/gtk-%{api_version}/bin/gtk-query-immodules-%{api_version}
%dir %{_libdir}/gtk-%{api_version}/modules
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}.*
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules/im-am-et.so
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules/im-cedilla.so
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules/im-cyrillic-translit.so
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules/im-inuktitut.so
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules/im-ipa.so
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules/im-multipress.so
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules/im-thai.so
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules/im-ti-er.so
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules/im-ti-et.so
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules/im-viqr.so
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules/im-xim.so
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules/im-tamilvp-tsc.so
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules/im-tamilvp-uni.so
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules/im-telex.so
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules/im-vni.so
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}.*/engines
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/engines/*.so
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/printbackends/*.so

%files -n %develname
%defattr(-, root, root)
%doc docs/*.txt AUTHORS ChangeLog NEWS* README*
%{_bindir}/gtk-demo
%_bindir/gtk-builder-convert
%{_datadir}/aclocal/*
%{_datadir}/gtk-%{api_version}
%{_includedir}/gtk-unix-print-%{api_version}/
%{_includedir}/gtk-%{api_version}/gdk
%{_includedir}/gtk-%{api_version}/gtk
%{_libdir}/gtk-%{api_version}/include
%{_libdir}/pkgconfig/gdk-%{api_version}.pc
%{_libdir}/pkgconfig/gtk+-%{api_version}.pc
%{_libdir}/pkgconfig/gtk+-unix-print-%{api_version}.pc
%{_libdir}/*x11*.so
%_datadir/gir-1.0/Gdk-2.0.gir
%_datadir/gir-1.0/GdkX11-2.0.gir
%_datadir/gir-1.0/Gtk-2.0.gir
%{_libdir}/pkgconfig/*x11*

%files -n %{libname_x11}
%defattr(-, root, root)
%{_libdir}/*x11*.so.*
%_libdir/girepository-1.0/Gdk-2.0.typelib
%_libdir/girepository-1.0/GdkX11-2.0.typelib
%_libdir/girepository-1.0/Gtk-2.0.typelib

%files -n %gail_libname
%defattr(-,root,root)
%{_libdir}/libgailutil.so.%{gail_major}*
%{_libdir}/gtk-2.0/modules/libferret.so
%{_libdir}/gtk-2.0/modules/libgail.so

%files -n %gaildevelname
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/gail-libgail-util
%{_libdir}/libgailutil.so
%{_includedir}/gail-1.0
%{_libdir}/pkgconfig/gail.pc


%changelog
* Sun Jul 15 2018 adrianomorselli <adrianomorselli> 2.24.32-1uplos2018
- update
